/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IFluidLoadable } from "@fluidframework/core-interfaces";
import { IFluidDataStoreContext, IFluidDataStoreFactory } from "@fluidframework/runtime-definitions";
import { IFluidDataStoreRuntime } from "@fluidframework/datastore-definitions";
import { ISharedDirectory } from "@fluidframework/map";
import { ITestContainerConfig, TestObjectProvider } from "@fluidframework/test-utils";
import { TestDriverTypes } from "@fluidframework/test-driver-definitions";
import { FluidTestDriverConfig } from "@fluidframework/test-drivers";
export declare const TestDataObjectType = "@fluid-example/test-dataStore";
export interface ITestDataObject extends IFluidLoadable {
    _context: IFluidDataStoreContext;
    _runtime: IFluidDataStoreRuntime;
    _root: ISharedDirectory;
}
export declare const getDataStoreFactory: (containerOptions?: ITestContainerConfig | undefined) => IFluidDataStoreFactory;
export declare function getVersionedTestObjectProvider(baseVersion: string, loaderVersion?: number | string, driverConfig?: {
    type?: TestDriverTypes;
    config?: FluidTestDriverConfig;
    version?: number | string;
}, runtimeVersion?: number | string, dataRuntimeVersion?: number | string): Promise<TestObjectProvider>;
//# sourceMappingURL=compatUtils.d.ts.map