/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { Loader } from "@fluidframework/container-loader";
import { DriverApi } from "@fluidframework/test-drivers";
import { ContainerRuntime } from "@fluidframework/container-runtime";
import { SharedCell } from "@fluidframework/cell";
import { SharedCounter } from "@fluidframework/counter";
import { Ink } from "@fluidframework/ink";
import { SharedDirectory, SharedMap } from "@fluidframework/map";
import { SharedMatrix } from "@fluidframework/matrix";
import { ConsensusQueue } from "@fluidframework/ordered-collection";
import { ConsensusRegisterCollection } from "@fluidframework/register-collection";
import { SharedString, SparseMatrix } from "@fluidframework/sequence";
import { TestFluidObjectFactory } from "@fluidframework/test-utils";
import { ContainerRuntimeFactoryWithDefaultDataStore, DataObject, DataObjectFactory } from "@fluidframework/aqueduct";
export declare const ensurePackageInstalled: (baseVersion: string, version: number | string, force: boolean) => Promise<{
    version: string;
    modulePath: string;
} | undefined>;
declare const LoaderApi: {
    version: string;
    Loader: typeof Loader;
};
declare const ContainerRuntimeApi: {
    version: string;
    ContainerRuntime: typeof ContainerRuntime;
    ContainerRuntimeFactoryWithDefaultDataStore: typeof ContainerRuntimeFactoryWithDefaultDataStore;
};
declare const DataRuntimeApi: {
    version: string;
    DataObject: typeof DataObject;
    DataObjectFactory: typeof DataObjectFactory;
    TestFluidObjectFactory: typeof TestFluidObjectFactory;
    dds: {
        SharedCell: typeof SharedCell;
        SharedCounter: typeof SharedCounter;
        Ink: typeof Ink;
        SharedDirectory: typeof SharedDirectory;
        SharedMap: typeof SharedMap;
        SharedMatrix: typeof SharedMatrix;
        ConsensusQueue: typeof ConsensusQueue;
        ConsensusRegisterCollection: typeof ConsensusRegisterCollection;
        SharedString: typeof SharedString;
        SparseMatrix: typeof SparseMatrix;
    };
};
export declare function getLoaderApi(baseVersion: string, requested?: number | string): typeof LoaderApi;
export declare function getContainerRuntimeApi(baseVersion: string, requested?: number | string): typeof ContainerRuntimeApi;
export declare function getDataRuntimeApi(baseVersion: string, requested?: number | string): typeof DataRuntimeApi;
export declare function getDriverApi(baseVersion: string, requested?: number | string): typeof DriverApi;
export {};
//# sourceMappingURL=testApi.d.ts.map